cfg = open('../config.cfg').read().splitlines()

def r(f):
    out = []
    for n in cfg[2:]:
         x = f(n)
         if x:
            out.append(x)
    return out

def allea(x):
    return x.split('::')[1] if '::' in x else x

def ea(x):
    if not '::' in x: return x

def via(x):
    if '::' in x: return x.split('::')

def ll():
    return r(ea)
